compilation guidelines for lxpanel

Forum rules
Before you post please read this

compilation guidelines for lxpanel

Postby vlad2005 on Thu Dec 29, 2011 5:38 am

He compiled someone lxpanel? I need some guidelines as to compile the latest version of lxpanel, respectively 0.5.8. It uses a script which gives me a lot of problems and I do not really figure out how to solve them.
More precisely, i have this error when run autogen.sh: warning: macro `AM_GLIB_GNU_GETTEXT' not found in library.
Thanks in advance for your answers!
P.S. I use latest Mint LXDE.
vlad2005
Level 1
Level 1
 
Posts: 5
Joined: Fri Apr 08, 2011 5:17 pm

Linux Mint is funded by ads and donations.
 

Re: compilation guidelines for lxpanel

Postby vlad2005 on Thu Dec 29, 2011 6:51 am

Ok, finally I compiled lxpanel. There are step by step how it's done.
1. install build-essentials, git, automake
2. get latest git source: git clone git://lxde.git.sourceforge.net/gitroot/lxde/lxpanel
3. install packages required to compile lxpanel:
libmenu-cache1 libmenu-cache1-dev
intltool
libglib2.0-dev
libgtk2.0-dev
libwnck-dev
4. go to in lxpanel directory and run ./autogen.sh, then ./configure, make,
5. install: sudo make install
Note: for some reason, even if configure with --enable-man option or not, i got an error whit make command about enable man. Ignore this for now.
vlad2005
Level 1
Level 1
 
Posts: 5
Joined: Fri Apr 08, 2011 5:17 pm


Return to Others

Who is online

Users browsing this forum: No registered users and 1 guest